package com.jay.monitor.data.server.models.request.trace;

import com.jay.monitor.data.server.anno.ESSearch;
import com.jay.monitor.data.server.enums.ESQuerySyntax;

/**
 * @Module sql请求参数
 * @Description mq请求参数
 * @Author liukaixiong
 * @Date 2021/1/12 16:46
 */
public class SQLRequest extends PageRequest {

    /**
     * 主键名称
     */
    private Integer id;

    /**
     * 执行命令
     */
    private String commandType;
    /**
     * sql编号
     */
    private String sqlId;
    /**
     * 表名称
     */
    private String table;
    /**
     * SQL 语句
     */
    private String sql;

    /**
     * 影响行数
     */
    @ESSearch(value = ESQuerySyntax.gt)
    private Integer affectedRows;

    /**
     * 结果返回
     */
    private Object result;

    /**
     * 根日志编号
     */
    private String rootLogId;

    /**
     * 日志编号
     */
    private String logId;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getCommandType() {
        return commandType;
    }

    public void setCommandType(String commandType) {
        this.commandType = commandType;
    }

    public String getSqlId() {
        return sqlId;
    }

    public void setSqlId(String sqlId) {
        this.sqlId = sqlId;
    }

    public String getTable() {
        return table;
    }

    public void setTable(String table) {
        this.table = table;
    }

    public String getSql() {
        return sql;
    }

    public void setSql(String sql) {
        this.sql = sql;
    }

    public Integer getAffectedRows() {
        return affectedRows;
    }

    public void setAffectedRows(Integer affectedRows) {
        this.affectedRows = affectedRows;
    }

    public Object getResult() {
        return result;
    }

    public void setResult(Object result) {
        this.result = result;
    }

    public String getRootLogId() {
        return rootLogId;
    }

    public void setRootLogId(String rootLogId) {
        this.rootLogId = rootLogId;
    }

    public String getLogId() {
        return logId;
    }

    public void setLogId(String logId) {
        this.logId = logId;
    }
}
